public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
From: "Fabio M. Di Nitto" <fabbione@fedoraproject.org>
To: cluster-cvs-relay@redhat.com
Subject: cluster: master - init: fix status check
Date: Fri, 20 Mar 2009 05:47:00 -0000	[thread overview]
Message-ID: <20090320054737.4946B1202F9@lists.fedorahosted.org> (raw)

Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=fbc2fb7ed43fbfad24cc751555dbbde5a5642389
Commit:        fbc2fb7ed43fbfad24cc751555dbbde5a5642389
Parent:        7016cb1fba9926d4a0b3a2527c0cfa0541e97f08
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Fri Mar 20 06:29:02 2009 +0100
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Fri Mar 20 06:47:02 2009 +0100

init: fix status check

make sure to handle conditional startups properly and
add qdisk check.

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 cman/init.d/cman.in |   21 ++++++++++++++++++++-
 1 files changed, 20 insertions(+), 1 deletions(-)

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 816a204..b4af24c 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -697,7 +697,26 @@ cmanstatus()
 	errmsg=$( status fenced 2>&1) || return 1
 	errmsg=$( status dlm_controld 2>&1) || return 1
 	errmsg=$( status gfs_controld 2>&1) || return 1
-	errmsg=$( status cmannotifyd 2>&1) || return 1
+
+	case "$CMAN_NOTIFYD_START" in
+		yes)
+			errmsg=$( status cmannotifyd 2>&1) || return 1
+		;;
+		no)
+			# nothing to do
+		;;
+		conditional)
+			if [ -n "$(ls -1 @NOTIFYDDIR@ 2>/dev/null)" ]; then
+				errmsg=$( status cmannotifyd 2>&1) || return 1
+			fi
+		;;
+	esac
+
+	if ccs_tool query /cluster/quorumd >/dev/null 2>&1; then
+		errmsg=$( status qdiskd 2>&1) || return 1
+	fi
+
+	errmsg=$( status corosync 2>&1) || return 1
 
 	fence_xvmd_enabled || return 0
 	errmsg=$( status fence_xvmd 2>&1) || return 1


                 reply	other threads:[~2009-03-20  5:47 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20090320054737.4946B1202F9@lists.fedorahosted.org \
    --to=fabbione@fedoraproject.org \
    --cc=cluster-cvs-relay@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).